/* lbuffer.h
 *
 * libcap Wrapper for the Microsoft Network Monitor analyzer
 * By Laurent Rabret <laurent.rabret@francetelecom.com>
 * Copyright 2001 FTR&D
 *
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef ___LBUFFER_DECLARE___
#define ___LBUFFER_DECLARE___

class pcap_t_;

// store a single frame and its parameters
class lBuffer {
	PUCHAR	Buf;
	DWORD   NextBuf;
	pcap_pkthdr pktHead;

	lBuffer	*next;
	
public :
	// constructors && destructor
	lBuffer(const PUCHAR cbuf, unsigned cSize, unsigned len, long time_sec, long time_usec, DWORD fieldBegin, DWORD& fieldEnd, const UCHAR*dataField);
	~lBuffer();

protected:
	BOOL InitFields(const PUCHAR cbuf, unsigned cSize, unsigned len, long time_sec, long time_usec, DWORD fieldBegin, DWORD& fieldEnd, const UCHAR*dataField);

	friend pcap_t_;
};

#endif // #define ___LBUFFER_DECLARE___